gloox (1.0.18-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 19 Nov 2016 03:29:28 -0800

gloox (1.0.18-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 10 Nov 2016 22:29:54 -0800

gloox (1.0.17-2) unstable; urgency=medium

  * Upload to unstable.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 01 Sep 2016 08:58:25 -0700

gloox (1.0.17-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release.
  * SONAME bump, update package name (libgloox14 -> libgloox15).

 -- Vincent Cheng <vcheng@debian.org>  Sat, 27 Aug 2016 19:38:43 -0700

gloox (1.0.15-2) unstable; urgency=medium

  * Upload to unstable.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 27 Apr 2016 01:20:16 -0700

gloox (1.0.15-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release.
  * SONAME bump, update package name (libgloox13 -> libgloox14).
  * Update Standards version to 3.9.8.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 25 Apr 2016 20:10:40 -0700

gloox (1.0.13-3) unstable; urgency=medium

  * Rename libgloox13 to libgloox13v5 for libstdc++ ABI transition.
    (Closes: #791051)

 -- Vincent Cheng <vcheng@debian.org>  Fri, 03 Jul 2015 23:56:03 -0700

gloox (1.0.13-2) unstable; urgency=medium

  * Upload to unstable.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 08 May 2015 20:22:12 -0700

gloox (1.0.13-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump, update package name (libgloox12 -> libgloox13).

 -- Vincent Cheng <vcheng@debian.org>  Tue, 03 Feb 2015 23:17:03 -0800

gloox (1.0.12-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release.
  * Update Standards version to 3.9.6.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 14 Dec 2014 23:27:13 -0800

gloox (1.0.11-1) unstable; urgency=medium

  * Acknowledge NMU. Thanks Andreas! (Closes: #761374)
  * New upstream release.
    - Drop all patches, applied upstream.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 20 Sep 2014 11:16:48 -0700

gloox (1.0.10-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Pull 0001-disable-compilation-of-the-jinglecontent-test-for-no.patch
    and 0002-don-t-create-jinglecontent-Makefile.patch from upstream SVN to
    fix FTBFS. Closes: #758899
  * 0010_nogcryptthreadhandler.diff Drop unnecessary gcrypt usage.
  * 0020_rely_on_pkg-config.diff Drop unnecessary gcrypt linkage.
  * Build against GnuTLS 3. Closes: #745942

 -- Andreas Metzler <ametzler@debian.org>  Sat, 13 Sep 2014 11:48:49 +0200

gloox (1.0.10-3) unstable; urgency=medium

  * Add debian/patches/fix_gcc4.9_ftbfs.patch to fix FTBFS with gcc 4.9.
    (Closes: #746857)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 08 Jun 2014 23:25:38 -0700

gloox (1.0.10-2) unstable; urgency=medium

  * Add missing license of src/md5.* to debian/copyright. (Closes: #748662)

 -- Vincent Cheng <vcheng@debian.org>  Mon, 19 May 2014 14:19:22 -0700

gloox (1.0.10-1) unstable; urgency=medium

  * New upstream release.
    - Drop obsolete patch.
  * SONAME bump, update package name (libgloox11 -> libgloox12).

 -- Vincent Cheng <vcheng@debian.org>  Sun, 18 May 2014 01:28:30 -0700

gloox (1.0.9-3) unstable; urgency=medium

  * Upload to unstable.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 16 Mar 2014 17:34:43 -0700

gloox (1.0.9-2) experimental; urgency=medium

  * Run dh-autoreconf instead of autotools-dev. (Closes: #726278, #735987)

 -- Vincent Cheng <vcheng@debian.org>  Mon, 27 Jan 2014 22:16:13 -0800

gloox (1.0.9-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release. (Closes: #729074)
    - SRV record lookup enabled. (Closes: #593150)
    - Refresh patch.
  * Update debian/copyright (GPLv2+ -> GPLv3+).
  * Modify package name (libgloox8 -> libgloox11) to reflect SONAME bump.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 16 Jan 2014 10:42:06 -0800

gloox (1.0-3) unstable; urgency=medium

  * Run tests, but ignore test failures for now.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 16 Jan 2014 09:35:12 -0800

gloox (1.0-2) unstable; urgency=medium

  * Adopt package. (Closes: #735436)
  * Acknowledge NMU, thanks to Luk Claes.
  * Add multi-arch support.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt":
    - Update to Standards-Version to 3.9.5 and debhelper to 9.
    - Number patches, update with "quilt refresh" to make them apply cleanly
      and move disregarded patches under debian/patches/unused directory.
    - Fix copyright-refers-to-symlink-license (Lintian).
    - Fix package-has-a-duplicate-build-relation (Lintian).
    - Fix wrong-section-according-to-package-name (Lintian); use debug.
    - Fix binary-control-field-duplicates-source (Lintian).
    - Fix no-homepage-field (Lintian).
    - Thanks to Jari Aalto for the patch. (Closes: #670541)
  * Update debian/rules to use short style dh sequencer.
    - Use autotools-dev dh addon to update config.guess/config.sub for arm64.
      (Closes: #726278)
  * Add DEP-3 headers to remaining patches.
  * Update debian/copyright to use DEP-5 syntax.
  * Update Vcs-* links to point to collab-maint.
  * Remove redundant README.Debian.
  * Update watch file.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 16 Jan 2014 01:11:18 -0800

gloox (1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Stop shipping .la file (Closes: #620704) 

 -- Luk Claes <luk@debian.org>  Thu, 02 Jun 2011 18:54:11 +0200

gloox (1.0-1) unstable; urgency=low

  * New upstream release (Closes: #532965, #563812)
  * Move binary package to libgloox8, due to soname bump.
  * debian/patches:
    + relibtoolize: update 
  * Bump Standards-Version to 3.8.3. No changes. 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 17 Jan 2010 13:05:04 +0100

gloox (0.9.9.5-1) unstable; urgency=low

  * New Upstream Version

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 27 Apr 2008 10:32:55 +0200

gloox (0.9.9.4-1) unstable; urgency=low

  * New Upstream Version

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 18 Mar 2008 00:02:34 +0100

gloox (0.9.9.3-2) unstable; urgency=low

  * Actually fix problems with gcc-4.3 (Closes: #455182) 
  * debian/patches:
    + fix-gcc4.3: new, thanks to Cyril Brulebois
  * Fix copyright line to show years, and make lintian happy. 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Wed, 05 Mar 2008 23:10:46 +0100

gloox (0.9.9.3-1) unstable; urgency=low

  * New upstream version.
    + Fixes problem compiling with gcc 4.3 (Closes: #455182)
  * Bump Standards-Version to 3.7.3. No changes.
  * Add Vcs-* fields.
  * debian/rules:
    + Do not unconditionally update config.[guess,sub] files, but
    relibtoolize the package
    + DOn't ignore silently 'make clean' errors, and make lintian happy.
  * debian/patches:
    + relibtoolize: new patch, fixes problem with elder config.[guess,sub]
    + 00list: update

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 27 Jan 2008 19:27:04 +0100

gloox (0.9.6.1-1) unstable; urgency=low

  * New upstream version. (Closes: #448191)
  * Remove libiksemel from build dependencies, as it is not needed any more.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 28 Oct 2007 22:05:48 +0100

gloox (0.9.2-1) unstable; urgency=low

  * New upstream version.
     + Soname bump to 7
  * debian/control: change for soname bump.
  * debian/patches:
     + fix_pkgconfig: disabled, included upstream.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 24 Jun 2007 18:37:49 +0200

gloox (0.8.8~sic-1) unstable; urgency=low

  * New upstream release.
     + Fix missing includes, should compile with gcc 4.3 (Closes: #417200)
  * Don't pass linker options in CFLAGS variable to pkgconfig file (Closes: #421294) 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 30 Apr 2007 23:52:00 +0200

gloox (0.8.6~sic-1) unstable; urgency=low

  * New upstream release (Closes: #403077)
    + Includes bugfixes for VCardManager, Tag, ClientBase and AdHoc classes.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 16 Dec 2006 11:10:25 +0100

gloox (0.8.5~sic-1) unstable; urgency=low

  * New upstream release
    + And another soname bump. libgloox5 on the road!
  * Actually state that this is a "sic" version.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 27 Nov 2006 00:15:03 +0100

gloox (0.8.4-1) unstable; urgency=low

  * New upstream release.
    + Another soname bump, so let's go for libgloox4. 
  * Make package binNMUable by declaring right relationships among 
    different binary packages.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 24 Sep 2006 17:43:16 +0200

gloox (0.8.1-1) unstable; urgency=low

  * New upstream version (actually -sic one)
    + This implies a soname change to libgloox3.
  * Bump Standards Version to 3.7.2, no changes needed.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 30 Jul 2006 17:42:48 +0200

gloox (0.8.0-2) unstable; urgency=low

  * Change libgloox0.* debhelper files to libgloox2.*, and actually
  install a library in binary package.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 14 Apr 2006 14:31:31 +0200

gloox (0.8.0-1) unstable; urgency=low

  * New upstream version.
    + Fixes compilation witg GCC 4.1 (Closes: #358214)

  * debian/rules: remove code for compiling gloox with debug
    log options, as they are now handled in program (look API documentation)

  * debian/README.Debian: remove instructions on compiling gloox
    with debug code.

  * debian/control: 
     + add zlib1g-dev as Build-Dependency for stream compression support.
     + bump libgloox0 package to libgloox2 due to soname change.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun,  9 Apr 2006 10:52:08 +0200

gloox (0.7.6.1-3) unstable; urgency=low

  * Forgot to change libiksemel dependency in -dev package.
  * Do not install README.win32 file, and install README and NEWS
  file in binary package for shared libraries instead of -dev package.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Wed, 29 Mar 2006 00:15:39 +0200

gloox (0.7.6.1-2) unstable; urgency=low

  * README.Debian: fix instructions on how compile gloox with debig code.
  * debian/control: s/libiksemel1-dev/libiksemel-dev/ (Closes: #359695)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 28 Mar 2006 23:03:42 +0200

gloox (0.7.6.1-1) unstable; urgency=low

  * New upstream version.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 11 Feb 2006 10:42:16 +0100

gloox (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * Install .pc file in /usr/lib/pkgconfig instead of /usr/share.
  * Added a -dbg package containing debug symbols.
  * debian/compat: raised to 5 for using --dbg-package in dh_strip.
  * debian/watch: fix test.
  * debian/README.Debian: explain how to compile DEBUG code.
  * debian/rules: add support for compiling DEBUG code, and set the default to
                  not compile it.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu,  5 Jan 2006 15:06:36 +0100

gloox (0.7.3-2) unstable; urgency=low

  * As binary target always compiles build-indep, we need to have doxygen and
    friend installed as well. Moving Build-Depend-Indep dependencies to 
    Build-Depends line. (Closes: #343679)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sat, 17 Dec 2005 12:54:34 +0100

gloox (0.7.3-1) unstable; urgency=low

  * New upstream version
     + Bugfix support.
     + Added optional SSL support. Not compiled in Debian packages.
  * debian/copyright: add new SSL exemption clause.
  * debian/rules: run dh_installdocs in every binary target, for installing
    debian/copyright file in libgloox0 package too.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 12 Dec 2005 00:24:17 +0100

gloox (0.7.1-1) unstable; urgency=low

  * Initial release (Closes: #342019) 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon,  5 Dec 2005 22:22:57 +0100

